<?php
namespace Claromentis\Core\Application;

$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] = (@$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] ?: array()) + array("_69a3fc9" . "2380e772" . "c3677541" . "6e0a8016" . "c" => base64_decode("Q291bGQgbm90IGluc3RhbnRpYXRlIGNvbn" . "Ryb2xsZXIgY2xhc3Mg"));
use Claromentis\Core\Application;
use Symfony\Component\HttpKernel\Controller\ControllerResolver as SymfonyResolver;
use InvalidArgumentException;
use Psr\Log\LoggerInterface;







class ControllerResolver extends SymfonyResolver
{
    
    
    
    
    protected $app;
    
    
    
    
    
    
    
    public function __construct(Application $app, LoggerInterface $logger = null)
    {
        parent::__construct($logger);
        $this->app = $app;
    }
    
    
    
    
    
    
    
    protected function instantiateController($_35ed77ccccaf3a056dcf16acae33bbe0)
    {
        try {
            return $this->app[$_35ed77ccccaf3a056dcf16acae33bbe0];
        } catch (InvalidArgumentException $_fe441aa3ef350bfb1a1a1ad8520dd530) {
            throw new InvalidArgumentException($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_69a3fc92380e772c36775416e0" . "a8016c"] . $_35ed77ccccaf3a056dcf16acae33bbe0, null, $_fe441aa3ef350bfb1a1a1ad8520dd530);
        }
    }
}